[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# LockResource

Lock a resource

## Declaration

Source position: resh.inc line 64

`function LockResource(`
`ResData: TFPResourceHGLOBAL`
`):Pointer;`

## Description

LockResource locks a resource previously loaded by LoadResource into memory. This means that any attempt to modify the resource will fail while it is locked. The function returns a pointer to the resource location in memory.

The resource can be freed again using the UnlockResource function.

## Errors

if the function fails, Nil is returned.

## See also

FindResource |  | Locate a resource and return a handle to it.
FreeResource |  | Free a loaded resource
SizeofResource |  | Return the size of a particular resource
LoadResource |  | Load a resource for use
UnlockResource |  | Unlock a previously locked resource
FreeResource |  | Free a loaded resource

Documentation generated on: Feb 26 2014